Subject: 24.1.50; VC doesn't handle internal errors?

From: Deniz Dogan <[email-masked]>
Date: Thu, 12 Apr 2012 19:40:28 +0200

I just compiled the latest Emacs on 64-bit Windows 7 myself and when I
was going to look at the Bazaar log, I found the following error.

I do:

1) runemacs.exe -Q
2) C-x v d D:/repos/emacs/trunk ;; my branch
3) The following is the output in the vc-dir buffer:

VC backend : Bzr
Working dir: d:/repos/emacs/trunk/
Parent branch      : bzr+ssh://[email-masked]/emacs/trunk/
Shelves            : No shelved changes

                         ./
    nil                  
***
    nil                  
Tra
    nil                  
bzr
    nil                  Bazaar has encountered an internal error.  This probably indicates a
    nil                  Error: run() got an unexpected keyword argument 'no_classify'
    nil                  bug in Bazaar.  You can help us fix it by filing a bug report at
    nil                  ding: 'cp1252', fsenc: 'mbcs', lang: 'SVE'
    nil                  eback (most recent call last):
    nil                  explorer[1.2.1], fastimport[0.12.0dev], launchpad[2.4.2], loom[2.2.1dev],
    nil                  including this traceback and a description of the problem.
    nil                  ins: bzrtools[2.4.1], changelog_merge[2.4.2], colo[0.3.1dev],
    nil                  netrc_credential_store[2.4.2], news_merge[2.4.2], pipeline[1.1.0],
    nil                  qbzr[0.21.1], rewrite[0.6.3dev], svn[1.1.0], upload[1.0.1dev],
    nil                  xmloutput[0.8.7]
                             https:/bugs.launchpad.net/bzr/
    nil                      https:/bugs.launchpad.net/bzr/+filebug
                         classify', '-v', '-S', './
    nil                  classify', '-v', '-S', './']
                         le "C:/Program Files (x86)/Bazaar/plugins/loom/
    nil                  le "C:/Program Files (x86)/Bazaar/plugins/loom/commands.py", line 203, in run_argv_aliases
                         le "bzrlib/
    nil                  le "bzrlib/cleanup.pyo", line 135, in run_simple
    nil                  le "bzrlib/cleanup.pyo", line 165, in _do_with_cleanups
    nil                  le "bzrlib/commands.pyo", line 1150, in run_bzr
    nil                  le "bzrlib/commands.pyo", line 699, in run_argv_aliases
    nil                  le "bzrlib/commands.pyo", line 721, in run
    nil                  le "bzrlib/commands.pyo", line 946, in exception_to_return_code
                         ments: ['c:/Program Files (x86)/Bazaar/
    nil                  ments: ['c:/Program Files (x86)/Bazaar/bzr.exe', 'status', '--no-

More information:

D:\repos\emacs\trunk>bzr info
Standalone tree (format: 2a)
Location:
  branch root: .

Related branches:
  parent branch: bzr+ssh://[email-masked]/emacs/trunk/

D:\repos\emacs\trunk>bzr status
<empty line>

D:\repos\emacs\trunk>bzr log -l 1
------------------------------------------------------------
revno: 107874
committer: Stefan Monnier <[email-masked]>
branch nick: trunk
timestamp: Wed 2012-04-11 14:13:20 -0400
message:
  * lisp/subr.el (read-passwd): Use read-string.